Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.util
Class ArrayUtils

    java.lang.Object
      sharin.util.ArrayUtils

    public class ArrayUtils

extends Object

Field Summary
`static Boolean[]` | `EMPTY_BOOLEAN_WRAPPERS`
`static Byte[]` | `EMPTY_BYTE_WRAPPERS`
`static Character[]` | `EMPTY_CHARACTER_WRAPPERS`
`static Double[]` | `EMPTY_DOUBLE_WRAPPERS`
`static Float[]` | `EMPTY_FLOAT_WRAPPERS`
`static Integer[]` | `EMPTY_INTEGER_WRAPPERS`
`static Long[]` | `EMPTY_LONG_WRAPPERS`
`static Short[]` | `EMPTY_SHORT_WRAPPERS`

Constructor Summary
`ArrayUtils()`

Method Summary
`static Boolean[]` | `toWrappers(boolean... values)`
`static Byte[]` | `toWrappers(byte... values)`
`static Character[]` | `toWrappers(char... values)`
`static Double[]` | `toWrappers(double... values)`
`static Float[]` | `toWrappers(float... values)`
`static Integer[]` | `toWrappers(int... values)`
`static Long[]` | `toWrappers(long... values)`
`static Short[]` | `toWrappers(short... values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_BOOLEAN_WRAPPERS

    public static final Boolean[] EMPTY_BOOLEAN_WRAPPERS

### EMPTY_BYTE_WRAPPERS

    public static final Byte[] EMPTY_BYTE_WRAPPERS

### EMPTY_CHARACTER_WRAPPERS

    public static final Character[] EMPTY_CHARACTER_WRAPPERS

### EMPTY_SHORT_WRAPPERS

    public static final Short[] EMPTY_SHORT_WRAPPERS

### EMPTY_INTEGER_WRAPPERS

    public static final Integer[] EMPTY_INTEGER_WRAPPERS

### EMPTY_LONG_WRAPPERS

    public static final Long[] EMPTY_LONG_WRAPPERS

### EMPTY_FLOAT_WRAPPERS

    public static final Float[] EMPTY_FLOAT_WRAPPERS

### EMPTY_DOUBLE_WRAPPERS

    public static final Double[] EMPTY_DOUBLE_WRAPPERS

Constructor Detail

### ArrayUtils

    public ArrayUtils()

Method Detail

### toWrappers

    public static Boolean[] toWrappers(boolean... values)

### toWrappers

    public static Byte[] toWrappers(byte... values)

### toWrappers

    public static Character[] toWrappers(char... values)

### toWrappers

    public static Short[] toWrappers(short... values)

### toWrappers

    public static Integer[] toWrappers(int... values)

### toWrappers

    public static Long[] toWrappers(long... values)

### toWrappers

    public static Float[] toWrappers(float... values)

### toWrappers

    public static Double[] toWrappers(double... values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.